Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQBitVal Class Reference

The TQBitVal class is an internal class, used with TQBitArray. More...

All the functions in this class are reentrant when TQt is built with thread support.

`#include <ntqbitarray.h>`

List of all member functions.

## Public Members

- TQBitVal ( TQBitArray * a, uint i )
- operator int ()
- TQBitVal & operator= ( const TQBitVal & v )
- TQBitVal & operator= ( bool v )

## Detailed Description

The TQBitVal class is an internal class, used with TQBitArray.

The TQBitVal is required by the indexing [] operator on bit arrays. It is not for use in any other context.

See also Collection Classes.

## Member Function Documentation

### TQBitVal::TQBitVal ( TQBitArray * a, uint i )

Constructs a reference to element i in the TQBitArray a. This is what TQBitArray::operator[] constructs its return value with.

### TQBitVal::operator int ()

Returns the value referenced by the TQBitVal.

### TQBitVal & TQBitVal::operator= ( const TQBitVal & v )

Sets the value referenced by the TQBitVal to that referenced by TQBitVal v.

### TQBitVal & TQBitVal::operator= ( bool v )

This is an overloaded member function, provided for convenience. It behaves essentially like the above function.

Sets the value referenced by the TQBitVal to v.

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.